#!/bin/sh
#
# /etc/rc
#
# These commands are executed at boot time by init(8).
# User customization should go in /etc/rc.local.

PATH=/sbin:/usr/sbin:/bin:/usr/bin

# enable swapping
#/sbin/swapon -a

# Start the kernel daemon before anything else
#
/sbin/depmod -a
/sbin/kerneld
/sbin/insmod binfmt_aout

# Start update.
#
#  use assembly language versions: must run both bdflush and update
#
/sbin/updated &
/sbin/bdflushd &

/sbin/mount -t proc /proc /proc

# Test to see if the root partition is read-only, like it ought to be.
READWRITE=no
if echo -n >> "Testing filesystem status"; then
 rm -f "Testing filesystem status"
 READWRITE=yes
fi


# remove /etc/mtab* so that mount will create it with a root entry
/bin/rm -f /etc/mtab* /etc/nologin /var/adm/utmp

# Looks like we have to create this.
/bin/cat /dev/null >> /var/adm/utmp

# read in second cramdisk
#
echo "Enter directory on which to mount a second"
echo -n "  cramdisk (eg /usr/X11R6, /opt) or  q  to quit : "
read MOUNT
if [ "$MOUNT" != "q" ] ; then
    echo -n "Reading disk..."
    gzip -d </dev/fd0H1920 >/dev/ram2
    echo "done"
    echo -n "Mounting ramdisk as $MOUNT..."
    mount /dev/ram2 $MOUNT
    echo "done"
fi

# mount file systems in fstab (and create an entry for /)
# but not NFS because TCP/IP is not yet configured
#/sbin/mount -avt nonfs

echo -n "Trying to mount a win95 partition on /dos from /dev/hda1..."
ERR=`mount -t vfat /dev/hda1 /dos 2>&1`
if [ -n "$ERR" ] ; then
    echo failed
    echo -n "Trying to mount an msdos partition on /dos from /dev/hda1..."
    ERR=`mount -t msdos /dev/hda1 /dos 2>&1`
    if [ -z "$ERR" ] ; then
	echo done
    else
	echo failed
    fi
else
    echo done
fi

echo -n "Trying to mount a Linux partition on /hd from /dev/hda1..."
ERR=`mount /dev/hda1 /hd 2>&1`
if [ -z "$ERR" ] ; then
    echo done
else
    echo failed
fi

CDROMS="/dev/hda /dev/hdb /dev/hdc /dev/hdd"
for i in $CDROMS ; do
    echo -n "Trying to mount a CDROM partition on /cdrom from $i..."
    ERR=`mount -t iso9660 -o ro $i /cdrom 2>&1`
    if [ -z "$ERR" ] ; then
	echo done
	break
    else
	echo failed
    fi
done

# Configure the system clock.
# This can be changed if your system keeps GMT.
if [ -x /sbin/clock ]; then
  /sbin/clock -s
fi

# Rewrite /etc/issue and /etc/motd to show kernel version:
/bin/hostname micro

echo > /etc/issue
echo Welcome to Linux `/bin/uname -a | /bin/cut -d\  -f3`. >> /etc/issue
echo >> /etc/issue
echo "`/bin/uname -a | /bin/cut -d\  -f1,3`." > /etc/motd

# Run serial port setup script:
# (CAREFUL! This can make some systems hang if the rc.serial script isn't
# set up correctly. If this happens, you may have to edit the file from a
# boot disk)
#
#/bin/sh /etc/rc.d/rc.serial

